cURL
curl --request PUT \
--url https://api.axiom.co/v2/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Smith"
}
'import requests
url = "https://api.axiom.co/v2/user"
payload = { "name": "John Smith" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'John Smith'})
};
fetch('https://api.axiom.co/v2/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "john.doe@example.com",
"id": "usr_123456789",
"name": "John Doe",
"role": {
"id": "role_123456789",
"name": "Organization Admin"
}
}Update current user
Update current user
PUT
/
user
cURL
Using this endpoint, you can update your own user. Authorize the request with a personal access token (PAT).You can’t update other users with this endpoint, and you can’t use an API token to authorize the request.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Object representing a user update request
New name for the user
Example:
"John Smith"
Response
200 - application/json
User
Represents a user in the system
Was this page helpful?
⌘I